Subject: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Dmitry Gutov <[email-masked]>
Date: Wed, 12 Apr 2023 18:38:42 +0300

On 12/04/2023 12:34, João Távora wrote:
> Dmitry Gutov <[email-masked]> writes:
> 
>> On 11/04/2023 14:02, João Távora wrote:
>>> Philip Kaludercic<[email-masked]>  writes:
>>>
>>>> Will this not affect `package-update-all'?  I don't if we want that the
>>>> command installs all packages from ELPA that it can find.
>>> Thanks.  I've just tested 'M-x package-update-all' with my patch.  It
>>> updates the built-in and the manually installed packages that can be
>>> updated.  It_doesn't_  install any packages that weren't installed yet,
>>> of course.
>>
>> On a related note, do you know whether we upgrade the built-in
>> packages when the user presses 'U' in the list-packages buffer?
>>
>> Using the command package-menu-mark-upgrades, that is.
> 
> Nope, doesn't work, doesn't do anything to those packages.  I wish it
> did, of course.

All right, then it's not just about package-install.

> I also don't understand why this is using separate, but repeated logic
> from package-update.  What is the difference between "upgrade" and
> "update", if any?  Is "upgrade" more powerful?

They're supposed to be the same. But that's bug#62750 which you've 
already read by now.

> BTW, I also noticed that Eglot's version on Emacs 29 is garbled.  I had
> wanted 1.12-emacs29 to somehow show that it is Emacs 29 specific.  But
> version-to-list doesn't like it and the package shows up as version
> "nil" in package--builtins.  Will just change it to 1.12.29, which is
> less perceptible but works fine (none of this makes any difference to
> this bug, of course).

Cool.